xine-lib: xine-lib-1.2.13/src/libw32dll/DirectShow/DS_Filter.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Typedefs | Functions
DS_Filter.h File Reference
`#include "inputpin.h"`
`#include "outputpin.h"`

Go to the source code of this file.

## Data Structures
struct | _DS_Filter

## Typedefs
typedef struct _DS_Filter | DS_Filter

## Functions
DS_Filter * | DS_FilterCreate (const char *dllname, const GUID *id, AM_MEDIA_TYPE *in_fmt, AM_MEDIA_TYPE *out_fmt)
void | DS_Filter_Destroy (DS_Filter *This)

## Typedef Documentation

## ◆ DS_Filter

typedef struct _DS_Filter DS_Filter

User will allocate and fill format structures, call Create(), and then set up m_pAll.

## Function Documentation

## ◆ DS_Filter_Destroy()

void DS_Filter_Destroy | ( | DS_Filter * | This | ) |

References IPin_vt::Disconnect, FreeLibrary(), _DS_Filter::m_iHandle, _DS_Filter::m_pFilter, _DS_Filter::m_pImp, _DS_Filter::m_pInputPin, _DS_Filter::m_pOurInput, _DS_Filter::m_pOurOutput, _DS_Filter::m_pOutputPin, _DS_Filter::m_pParentFilter, _DS_Filter::m_pSrcFilter, IBaseFilter_vt::Release, IMemInputPin_vt::Release, IPin_vt::Release, _DS_Filter::Stop, _CBaseFilter2::vt, _CBaseFilter::vt, _COutputPin::vt, _IBaseFilter::vt, _IMemInputPin::vt, and _IPin::vt.

Referenced by DS_AudioDecoder_Destroy(), DS_FilterCreate(), and DS_VideoDecoder_Destroy().

## ◆ DS_FilterCreate()

DS_Filter * DS_FilterCreate | ( | const char * | dllname,
|  | const GUID * | id,
|  | AM_MEDIA_TYPE * | in_fmt,
|  | AM_MEDIA_TYPE * | out_fmt )

References IPin_vt::AddRef, CBaseFilter2Create(), CBaseFilterCreate(), COutputPinCreate(), Debug, DS_Filter_Destroy(), DS_Filter_Start(), DS_Filter_Stop(), IBaseFilter_vt::EnumPins, _CBaseFilter::GetPin, GetProcAddress(), IID_IBaseFilter, IID_IMemInputPin, LoadLibraryA(), _DS_Filter::m_iHandle, _DS_Filter::m_pAll, _DS_Filter::m_pDestType, _DS_Filter::m_pFilter, _DS_Filter::m_pImp, _DS_Filter::m_pInputPin, _DS_Filter::m_pOurInput, _DS_Filter::m_pOurOutput, _DS_Filter::m_pOurType, _DS_Filter::m_pOutputPin, _DS_Filter::m_pParentFilter, _DS_Filter::m_pSrcFilter, IEnumPins_vt::Next, NULL, IPin_vt::QueryAccept, IPin_vt::QueryDirection, IPin_vt::QueryInterface, IPin_vt::ReceiveConnection, IPin_vt::Release, IEnumPins_vt::Reset, _DS_Filter::Start, _DS_Filter::Stop, _IBaseFilter::vt, _IEnumPins::vt, and _IPin::vt.

Referenced by DS_AudioDecoder_Open(), and DS_VideoDecoder_Open().